Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 147076 - Procedures and Functions should have different icons
Procedures and Functions should have different icons
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks: 152816
  Show dependency treegraph
 
Reported: 2008-09-12 13:29 UTC by Roman Mostyka
Modified: 2010-08-31 10:36 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-09-12 13:29:44 UTC
1. Connect to MySQL server.
2. Create "sakila" database.
3. Expand "Procedures" node.

Result: There are procedures and functions and they all have the same icon. It is better to have different icons and
this helps to understand that nodes represent different types of data. It can help in understanding of error by
execution of statement like "show create procedure get_customer_balance".
Comment 1 David Vancouvering 2008-09-12 19:30:39 UTC
I agree, but I don't believe it is a defect, it's an enhancement.  Please feel free to argue differently, I am happy to
be convinced otherwise, but I'm pretty sure this is an enhancement.
Comment 2 Jiri Rechtacek 2009-10-16 14:05:18 UTC
Reassigned to new owner.
Comment 3 Jiri Rechtacek 2010-08-31 10:36:33 UTC
Fixed in NB6.10M2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo